### Method

# Adw Flapset_swipe_to_open

deprecated: 1.4

#### Declaration [src]

    void
    adw_flap_set_swipe_to_open (
      AdwFlap* self,
      gboolean swipe_to_open
    )

#### Description [src]

Sets whether `self` can be opened with a swipe gesture.

The area that can be swiped depends on the `AdwFlap:transition-type` value.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.Flap:swipe-to-open`

#### Parameters

`swipe_to_open`

  Type: `gboolean`

  Whether `self` can be opened with a swipe gesture.